> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get historical performance data for a Cardano stake pool including rewards, blocks, and delegation metrics.

# Stake pool history



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /pools/{pool_id}/history
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /pools/{pool_id}/history:
    get:
      tags:
        - Pools
      summary: Stake pool history
      description: >-
        Returns per-epoch information about the specified pool (or just for
        epoch `epoch_no` if provided)
      operationId: pool_history
      parameters:
        - name: pool_id
          in: path
          description: Pool ID in bech32 format
          required: true
          schema:
            type: string
        - name: epoch_no
          in: query
          description: Epoch number to fetch results for
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by epoch number)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            An array of pool history information for each epoch (or containing
            one entry for a given epoch_no)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPoolHistory'
              example:
                data:
                  - epoch_no: 6
                    active_stake: 100000000000000
                    active_stake_pct: '33.33333333333333333300'
                    saturation_pct: null
                    block_cnt: 7243
                    delegator_cnt: 1
                    margin: 1
                    fixed_cost: 500000000
                    pool_fees: 0
                    deleg_rewards: 0
                    epoch_ros: '0'
                  - epoch_no: 7
                    active_stake: 100000000000000
                    active_stake_pct: '33.33333333333333333300'
                    saturation_pct: null
                    block_cnt: 7213
                    delegator_cnt: 1
                    margin: 1
                    fixed_cost: 500000000
                    pool_fees: 0
                    deleg_rewards: 0
                    epoch_ros: '0'
                  - epoch_no: 8
                    active_stake: 100000000000000
                    active_stake_pct: '33.33333333333333333300'
                    saturation_pct: null
                    block_cnt: 7102
                    delegator_cnt: 1
                    margin: 1
                    fixed_cost: 500000000
                    pool_fees: 0
                    deleg_rewards: 0
                    epoch_ros: '0'
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    c8814a8d064e18b46ffbde6add240203df27533c3ca1fb91c8031b88029ec979
                  block_slot: 32288058
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPoolHistory:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolHistory'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PoolHistory:
      type: object
      description: Per-epoch history of a stake pool
      required:
        - epoch_no
        - fixed_cost
        - pool_fees
        - deleg_rewards
        - epoch_ros
      properties:
        active_stake:
          allOf:
            - $ref: '#/components/schemas/NumOrString'
          nullable: true
        active_stake_pct:
          type: string
          description: Pool active stake as percentage of total active stake
          nullable: true
        block_cnt:
          type: integer
          format: int64
          description: Blocks created in the epoch
          nullable: true
        deleg_rewards:
          $ref: '#/components/schemas/NumOrString'
        delegator_cnt:
          type: integer
          format: int64
          description: Delegators in the epoch
          nullable: true
        epoch_no:
          type: integer
          format: int64
          description: Epoch number
        epoch_ros:
          type: string
          description: Annual return percentage for delegators for the epoch
        fixed_cost:
          $ref: '#/components/schemas/NumOrString'
        margin:
          allOf:
            - $ref: '#/components/schemas/NumOrString'
          nullable: true
        pool_fees:
          $ref: '#/components/schemas/NumOrString'
        saturation_pct:
          type: string
          description: Pool saturation percent
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````